Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.message
Class AbstractBody

    java.lang.Object
      org.apache.james.mime4j.message.AbstractBody

All Implemented Interfaces:
  Body, Disposable

    public abstract class AbstractBody

extends java.lang.Object
implements Body

Abstract `Body` implementation providing the parent functionality required by bodies.

Version:
  $Id: AbstractBody.java,v 1.2 2004/10/02 12:41:11 ntherning Exp $

Constructor Summary
`AbstractBody()`

Method Summary
`void` | `dispose()` Subclasses should override this method if they have allocated resources that need to be freed explicitly (e.g.
`Entity` | `getParent()` Gets the parent of this body.
`void` | `setParent(Entity parent)` Sets the parent of this body.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.james.mime4j.message.Body
`writeTo`

Constructor Detail

### AbstractBody

    public AbstractBody()

Method Detail

### getParent

    public Entity getParent()

  Description copied from interface: `Body`
  Gets the parent of this body.

  Specified by:
    `getParent` in interface `Body`
  Returns:
    the parent.
  See Also:
    `Body.getParent()`

### setParent

    public void setParent(Entity parent)

  Description copied from interface: `Body`
  Sets the parent of this body.

  Specified by:
    `setParent` in interface `Body`
  Parameters:
    `parent` - the parent.
  See Also:
    `Body.setParent(org.apache.james.mime4j.message.Entity)`

### dispose

    public void dispose()

  Subclasses should override this method if they have allocated resources that need to be freed explicitly (e.g. cannot be simply reclaimed by the garbage collector). The default implementation of this method does nothing.

  Specified by:
    `dispose` in interface `Disposable`
  See Also:
    `Disposable.dispose()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.